---
title: "One run's metadata and summary"
description: "Metadata and aggregate counts for a single month."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.aireon.ch/llms.txt
> Use this file to discover all available pages before exploring further.

Path: RES API (public) › GWR

`GET /res_api/gwr/summary`

Metadata and aggregate counts for a single month.

## Authentication

Requires one of the following:

- `ResApiToken`, apiKey, in header, header `token`
- `ResApiTokenQuery`, apiKey, in query

## Query parameters

- `month` (`getGwrSummary.query.month`; string, optional): Target month 'YYYY-MM'. Defaults to the latest loaded month.
  - example `"2026-04"`

## Code samples

### cURL

```bash
curl --request GET \
  --url https://res.aireon.ch/res_api/gwr/summary \
  --header 'token: <token>'
```

### TypeScript

```typescript
const url = 'https://res.aireon.ch/res_api/gwr/summary';
const options = {method: 'GET', headers: {token: '<token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://res.aireon.ch/res_api/gwr/summary"

headers = {"token": "<token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Run metadata.

#### Example

```json
{
  "month": "2026-04",
  "schema_version": 0,
  "generated_at": "2019-08-24T14:15:22Z",
  "ingested_at": "2019-08-24T14:15:22Z",
  "feed_file": "string",
  "compare_from": "2019-08-24",
  "compare_to": "2019-08-24",
  "register_url": "string",
  "register_last_modified": "string",
  "summary": {
    "total": 0,
    "pipeline": 0,
    "likely_minor": 0,
    "register_matched": 0,
    "by_canton": {
      "property1": 0,
      "property2": 0
    }
  }
}
```

- `month` (`getGwrSummary.response.200.month`; string, optional)
  - example `"2026-04"`
- `schema_version` (`getGwrSummary.response.200.schema_version`; integer, optional)
- `generated_at` (`getGwrSummary.response.200.generated_at`; string, optional)
  - format `date-time`
- `ingested_at` (`getGwrSummary.response.200.ingested_at`; string, optional)
  - format `date-time`
- `feed_file` (`getGwrSummary.response.200.feed_file`; string, optional)
- `compare_from` (`getGwrSummary.response.200.compare_from`; string, optional)
  - format `date`
- `compare_to` (`getGwrSummary.response.200.compare_to`; string, optional)
  - format `date`
- `register_url` (`getGwrSummary.response.200.register_url`; string, optional)
- `register_last_modified` (`getGwrSummary.response.200.register_last_modified`; string, optional)
- `summary` (`getGwrSummary.response.200.summary`; object, optional)
  - `total` (`getGwrSummary.response.200.summary.total`; integer, optional)
  - `pipeline` (`getGwrSummary.response.200.summary.pipeline`; integer, optional)
  - `likely_minor` (`getGwrSummary.response.200.summary.likely_minor`; integer, optional)
  - `register_matched` (`getGwrSummary.response.200.summary.register_matched`; integer, optional)
  - `by_canton` (`getGwrSummary.response.200.summary.by_canton`; map<integer>, optional)

### 401

Missing token.

### 403

Wrong token.

### 404

No such month.


Source: https://docs.aireon.ch/res/get-gwr-summary/index.md
